#ifndef DISKCACHE__QUERY_RESULTS_DUMP_HH
#define DISKCACHE__QUERY_RESULTS_DUMP_HH

#include <string>

#include "QueryResults.hh"

namespace diskCache
{
  class QueryResultsDump
    : public QueryResults
  {
  public:
    QueryResultsDump( format_type Foramt );

    void Append( const std::string& Entry );

    void Finalize( );

    void Swap( std::string& S1 );

  private:
    std::string		m_string_result;
  };

  inline void QueryResultsDump::
  Swap( std::string& S1 )
  {
    m_string_result.swap( S1 );
  }

} // namespace - diskCache

#endif /* DISKCACHE__QUERY_RESULTS_DUMP_HH */
